Index: trunk/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 485)
+++ trunk/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 503)
@@ -4,4 +4,8 @@
    !! Ocean active tracers:  bottom boundary condition
    !!==============================================================================
+   !! History :  8.1  ! 99-10 (G. Madec)  original code
+   !!            8.5  ! 02-08 (G. Madec)  free form + modules
+   !!            8.5  ! 02-11 (A. Bozec)  tra_bbc_init: original code
+   !!----------------------------------------------------------------------
 #if   defined key_trabbc   ||   defined key_esopa
    !!----------------------------------------------------------------------
@@ -15,4 +19,6 @@
    USE dom_oce         ! ocean space and time domain
    USE phycst          ! physical constants
+   USE trdmod          ! ocean trends 
+   USE trdmod_oce      ! ocean variables trends
    USE in_out_manager  ! I/O manager
    USE prtctl          ! Print control
@@ -21,5 +27,4 @@
    PRIVATE
 
-   !! * Accessibility
    PUBLIC tra_bbc          ! routine called by step.F90
 
@@ -27,22 +32,18 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_trabbc = .TRUE.   !: bbc flag
 
-   !! * Module variables
-   INTEGER ::                       & !!! ** bbc namelist (nambbc) **
-      ngeo_flux = 1                    ! Geothermal flux (0:no flux, 1:constant flux,
-      !                                !                  2:read in file )
-   REAL(wp) ::                      & !!! ** bbc namlist **
-      ngeo_flux_const = 86.4e-3        ! Constant value of geothermal heat flux
-
-   INTEGER, DIMENSION(jpi,jpj) ::   &
-      nbotlevt                         ! ocean bottom level index at T-pt
-   REAL(wp), DIMENSION(jpi,jpj) ::  &
-      qgh_trd                          ! geothermal heating trend
+   !!* Namelist nambbc: bottom boundary condition
+   INTEGER  ::   ngeo_flux       = 1            ! Geothermal flux (0:no flux, 1:constant flux, 2:read in file )
+   REAL(wp) ::   ngeo_flux_const = 86.4e-3      ! Constant value of geothermal heat flux
+   NAMELIST/nambbc/ngeo_flux, ngeo_flux_const 
+
+   INTEGER , DIMENSION(jpi,jpj) ::   nbotlevt   ! ocean bottom level index at T-pt
+   REAL(wp), DIMENSION(jpi,jpj) ::   qgh_trd    ! geothermal heating trend
  
    !! * Substitutions
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+   !!  OPA 9.0 , LOCEAN-IPSL (2006) 
    !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -68,31 +69,30 @@
       !!                the ocean bottom boundary condition
       !!
-      !! References :
-      !!      Stein, C. A., and S. Stein, 1992, Nature, 359, 123-129.
-      !!
-      !! History :
-      !!   8.1  !  99-10  (G. Madec)  original code
-      !!   8.5  !  02-08  (G. Madec)  free form + modules
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt    ! ocean time-step index
-
-      !! * Local declarations
+      !! References : Stein, C. A., and S. Stein, 1992, Nature, 359, 123-129.
+      !!----------------------------------------------------------------------
+      USE oce, ONLY :   ztrdt => ua   ! use ua as 3D workspace   
+      USE oce, ONLY :   ztrds => va   ! use va as 3D workspace   
+      !!
+      INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
+      !!
 #if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-      INTEGER ::   ji                  ! dummy loop indices
-#else
-      INTEGER ::   ji, jj              ! dummy loop indices
-#endif
-      !!----------------------------------------------------------------------
-
-      ! 0. Initialization
-      IF( kt == nit000 )   CALL tra_bbc_init
-
-      ! 1. Add the geothermal heat flux trend on temperature
+      INTEGER ::   ji       ! dummy loop indices
+#else
+      INTEGER ::   ji, jj   ! dummy loop indices
+#endif
+      !!----------------------------------------------------------------------
+
+      IF( kt == nit000 )   CALL tra_bbc_init      ! Initialization
+
+      IF( l_trdtra )   THEN         ! Save ta and sa trends
+         ztrdt(:,:,:) = ta(:,:,:) 
+         ztrds(:,:,:) = 0.e0
+      ENDIF
+
+      ! Add the geothermal heat flux trend on temperature
 
       SELECT CASE ( ngeo_flux )
-
+      !
       CASE ( 1:2 )                !  geothermal heat flux
-
 #if defined key_vectopt_loop   &&   ! defined key_mpp_omp
          DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -106,11 +106,13 @@
          END DO
 #endif
-
-      IF(ln_ctl) THEN
-         CALL prt_ctl(tab3d_1=ta, clinfo1=' bbc  - Ta: ', mask1=tmask, clinfo3='tra-ta')
+      END SELECT
+
+      IF( l_trdtra ) THEN        ! Save the geothermal heat flux trend for diagnostics
+         ztrdt(:,:,:) = ta(:,:,:) - ztrdt(:,:,:)
+         CALL trd_mod( ztrdt, ztrds, jptra_trd_bbc, 'TRA', kt )
       ENDIF
-
-      END SELECT
-
+      !
+      IF(ln_ctl)   CALL prt_ctl(tab3d_1=ta, clinfo1=' bbc  - Ta: ', mask1=tmask, clinfo3='tra-ta')
+      !
    END SUBROUTINE tra_bbc
 
@@ -132,23 +134,15 @@
       !! ** Action  : - compute the heat geothermal trend qgh_trd
       !!              - compute the bottom ocean level nbotlevt
-      !!
-      !! history :
-      !!  8.5  ! 02-11 (A. Bozec) original code
-      !!----------------------------------------------------------------------
-      !! * Modules used
+      !!----------------------------------------------------------------------
       USE iom
-
-      !! * local declarations
+      !!
       INTEGER  ::   ji, jj              ! dummy loop indices
       INTEGER  ::   inum                ! temporary logical unit
-
-      NAMELIST/nambbc/ngeo_flux, ngeo_flux_const 
-      !!----------------------------------------------------------------------
-
-      ! Read Namelist nambbc : bottom momentum boundary condition
-      REWIND ( numnam )
+      !!----------------------------------------------------------------------
+
+      REWIND ( numnam )              ! Read Namelist nambbc : bottom momentum boundary condition
       READ   ( numnam, nambbc )
 
-      ! Control print
+      !                              ! Control print
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'tra_bbc : tempearture Bottom Boundary Condition (bbc)'
@@ -160,6 +154,5 @@
       IF(lwp) WRITE(numout,*)
 
-      ! level of the ocean bottom at T-point
-
+      !                              ! level of the ocean bottom at T-point
       DO jj = 1, jpj
          DO ji = 1, jpi
@@ -168,29 +161,29 @@
       END DO
 
-      ! initialization of geothermal heat flux
-
-      SELECT CASE ( ngeo_flux )
-
+
+      SELECT CASE ( ngeo_flux )      ! initialization of geothermal heat flux
+      !
       CASE ( 0 )                ! no geothermal heat flux
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) '             *** no geothermal heat flux'
-
+         !
       CASE ( 1 )                ! constant flux
          IF(lwp) WRITE(numout,*) '             *** constant heat flux  =   ', ngeo_flux_const
          qgh_trd(:,:) = ngeo_flux_const
-
+         !
       CASE ( 2 )                ! variable geothermal heat flux
          ! read the geothermal fluxes in mW/m2
-
+         !
          IF(lwp) WRITE(numout,*) '             *** variable geothermal heat flux'
          CALL iom_open ( 'geothermal_heating.nc', inum )
          CALL iom_get ( inum, jpdom_data, 'heatflow', qgh_trd )
          CALL iom_close (inum)
-
+         !
          qgh_trd(:,:) = qgh_trd(:,:) * 1.e-3 ! conversion in W/m2
-
+         !
       CASE DEFAULT
          WRITE(ctmp1,*) '     bad flag value for ngeo_flux = ', ngeo_flux
          CALL ctl_stop( ctmp1 )
+         !
       END SELECT
 
@@ -198,7 +191,6 @@
 
       SELECT CASE ( ngeo_flux )
-
+      !
       CASE ( 1:2 )                !  geothermal heat flux
-
 #if defined key_vectopt_loop   &&   ! defined key_mpp_omp
          DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -212,7 +204,6 @@
          END DO
 #endif
-
       END SELECT
-
+      !
    END SUBROUTINE tra_bbc_init
 
Index: trunk/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 485)
+++ trunk/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 503)
@@ -4,8 +4,13 @@
    !! Ocean physics :  advective and/or diffusive bottom boundary layer scheme
    !!==============================================================================
+   !! History :  8.0  !  96-06  (L. Mortier)  Original code
+   !!            8.0  !  97-11  (G. Madec)  Optimization
+   !!            8.5  !  02-08  (G. Madec)  free form + modules
+   !!----------------------------------------------------------------------
 #if   defined key_trabbl_dif   ||   defined key_trabbl_adv   || defined key_esopa
    !!----------------------------------------------------------------------
    !!   'key_trabbl_dif'   or            diffusive bottom boundary layer
    !!   'key_trabbl_adv'                 advective bottom boundary layer
+   !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
    !!   tra_bbl_dif  : update the active tracer trends due to the bottom
@@ -15,47 +20,39 @@
    !!   tra_bbl_init : initialization, namlist read, parameters control
    !!----------------------------------------------------------------------
-   !! * Modules used
-   USE oce                  ! ocean dynamics and active tracers
-   USE dom_oce              ! ocean space and time domain
-   USE trdmod_oce           ! ocean variables trends
-   USE in_out_manager       ! I/O manager
-   USE lbclnk               ! ocean lateral boundary conditions
-   USE prtctl               ! Print control
+   USE oce                ! ocean dynamics and active tracers
+   USE dom_oce            ! ocean space and time domain
+   USE trdmod             ! ocean active tracers trends
+   USE trdmod_oce         ! ocean variables trends
+   USE in_out_manager     ! I/O manager
+   USE lbclnk             ! ocean lateral boundary conditions
+   USE prtctl             ! Print control
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * Routine accessibility
    PUBLIC tra_bbl_dif    ! routine called by step.F90
    PUBLIC tra_bbl_adv    ! routine called by step.F90
 
-   !! * Shared module variables
-   REAL(wp), PUBLIC ::            &  !!: * bbl namelist *
-      atrbbl = 1.e+3                  !: lateral coeff. for bottom boundary 
-      !                               !  layer scheme (m2/s) 
+   !!* Namelist nambbl: bottom boundary layer
+   REAL(wp), PUBLIC ::   atrbbl = 1.e+3   !: lateral coeff. for bottom boundary layer scheme (m2/s)
+   NAMELIST/nambbl/ atrbbl
+
 # if defined key_trabbl_dif
-   LOGICAL, PUBLIC, PARAMETER ::   &  !:
-      lk_trabbl_dif = .TRUE.          !: diffusive bottom boundary layer flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_trabbl_dif = .TRUE.          !: diffusive bottom boundary layer flag
 # else
-   LOGICAL, PUBLIC, PARAMETER ::   &  !:
-      lk_trabbl_dif = .FALSE.         !: diffusive bottom boundary layer flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_trabbl_dif = .FALSE.         !: diffusive bottom boundary layer flag
 # endif
 
 # if defined key_trabbl_adv
-   LOGICAL, PUBLIC, PARAMETER ::    &  !:
-      lk_trabbl_adv = .TRUE.   !: advective bottom boundary layer flag
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &  !:
-       u_bbl, v_bbl,  &  !: velocity involved in exhanges in the advective BBL
-       w_bbl             !: vertical increment of velocity due to advective BBL
-       !                 !  only affect tracer vertical advection
+   LOGICAL, PUBLIC, PARAMETER ::   lk_trabbl_adv = .TRUE.   !: advective bottom boundary layer flag
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   u_bbl      !: 3 components of the velocity
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   v_bbl      !: associated with advective BBL
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   w_bbl      !: (only affect tracer)
 # else
-   LOGICAL, PUBLIC, PARAMETER ::    &  !:
-      lk_trabbl_adv = .FALSE.  !: advective bottom boundary layer flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_trabbl_adv = .FALSE.  !: advective bottom boundary layer flag
 # endif
 
-   !! * Module variables
-   INTEGER, DIMENSION(jpi,jpj) ::   &  !:
-      mbkt,           &   ! vertical index of the bottom ocean T-level
-      mbku, mbkv          ! vertical index of the bottom ocean U/V-level
+   INTEGER, DIMENSION(jpi,jpj) ::   mbkt          ! vertical index of the bottom ocean T-level
+   INTEGER, DIMENSION(jpi,jpj) ::   mbku, mbkv    ! vertical index of the bottom ocean U/V-level
 
    !! * Substitutions
@@ -63,7 +60,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !!   OPA 9.0 , LOCEAN-IPSL (2006) 
    !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -102,39 +99,28 @@
       !! ** Action  : - update (ta,sa) at the bottom level with the bottom
       !!                boundary layer trend
-      !!              - save the trends in tldfbbl/sldfbbl ('key_trdtra')
-      !!
-      !! References :
-      !!     Beckmann, A., and R. Doscher, 1997, J. Phys.Oceanogr., 581-591.
-      !!
-      !! History :
-      !!   8.0  !  96-06  (L. Mortier)  Original code
-      !!   8.0  !  97-11  (G. Madec)  Optimization
-      !!   8.5  !  02-08  (G. Madec)  free form + modules
-      !!   9.0  !  04-08  (C. Talandier) New trends organization
-      !!----------------------------------------------------------------------
-      !! * Modules used     
-      USE oce, ONLY :    ztdta => ua,     & ! use ua as 3D workspace   
-                         ztdsa => va        ! use va as 3D workspace   
-      USE eosbn2                            ! equation of state
-
-      !! * Arguments 
-      INTEGER, INTENT( in ) ::   kt         ! ocean time-step
-
-      !! * Local declarations
-      INTEGER ::   ji, jj                   ! dummy loop indices
-      INTEGER ::   ik
-      INTEGER ::   ii0, ii1, ij0, ij1       ! temporary integers
+      !!              - save the trends in ztrdt/ztrds ('key_trdtra')
+      !!
+      !! References : Beckmann, A., and R. Doscher, 1997, J. Phys.Oceanogr., 581-591.
+      !!----------------------------------------------------------------------
+      USE oce, ONLY :   ztrdt => ua   ! use ua as 3D workspace   
+      USE oce, ONLY :   ztrds => va   ! use va as 3D workspace   
+      USE eosbn2                      ! equation of state
+      !!
+      INTEGER, INTENT( in ) ::   kt   ! ocean time-step
+      !!
+      INTEGER  ::   ji, jj                   ! dummy loop indices
+      INTEGER  ::   ik
+      INTEGER  ::   ii0, ii1, ij0, ij1       ! temporary integers
       INTEGER  ::   iku1, iku2, ikv1,ikv2   ! temporary intergers
       REAL(wp) ::   ze3u, ze3v              ! temporary scalars
-      INTEGER ::   iku, ikv
+      INTEGER  ::   iku, ikv
       REAL(wp) ::   &
          zsign, zt, zs, zh, zalbet,      &  ! temporary scalars
          zgdrho, zbtr, zta, zsa
       REAL(wp), DIMENSION(jpi,jpj) ::    &
-        zki, zkj, zkw, zkx, zky, zkz,    &  ! temporary workspace arrays
+        zki, zkj, zkw, zkx, zky, zkz,    &  ! 2D workspace arrays
         ztnb, zsnb, zdep,                &
         ztbb, zsbb, zahu, zahv
-      REAL(wp) ::   &
-         fsalbt, pft, pfs, pfh              ! statement function
+      REAL(wp) ::    fsalbt, pft, pfs, pfh   ! statement function
       !!----------------------------------------------------------------------
       ! ratio alpha/beta
@@ -161,8 +147,7 @@
       IF( kt == nit000 )   CALL tra_bbl_init
 
-      ! Save ta and sa trends
-      IF( l_trdtra )   THEN
-         ztdta(:,:,:) = ta(:,:,:) 
-         ztdsa(:,:,:) = sa(:,:,:) 
+      IF( l_trdtra )   THEN         ! Save ta and sa trends
+         ztrdt(:,:,:) = ta(:,:,:) 
+         ztrds(:,:,:) = sa(:,:,:) 
       ENDIF
 
@@ -170,5 +155,4 @@
       ! -----------------------------------------------------------------
       ! mbathy= number of w-level, minimum value=1 (cf dommsk.F)
-
 #  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
       jj = 1
@@ -387,5 +371,5 @@
 
       IF( cp_cfg == "orca" ) THEN
-
+         !
          SELECT CASE ( jp_cfg )
          !                                           ! =======================
@@ -397,5 +381,5 @@
             zkx( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) = 4.e0 * zkx( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) )
             zky( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) = 4.e0 * zky( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) )
-
+            !
             ! Red Sea enhancement of BBL
             ij0 =  88   ;   ij1 =  88
@@ -403,5 +387,5 @@
             zkx( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) = 10.e0 * zkx( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) )
             zky( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) = 10.e0 * zky( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) )
-
+            !
             !                                        ! =======================
          CASE ( 4 )                                  !  ORCA_R4 configuration
@@ -412,7 +396,7 @@
             zkx( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) = 4.e0 * zkx( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) )
             zky( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) ) = 4.e0 * zky( mi0(ii0):mi1(ii1) , mj0(ij0):mj1(ij1) )
-
+            !
          END SELECT
-
+      !
       ENDIF
 
@@ -439,29 +423,13 @@
       END DO
 
-      ! save the trends for diagnostic
-      ! BBL lateral diffusion tracers trends
-      IF( l_trdtra )   THEN
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
-         jj = 1
-         DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
-#  else
-         DO jj = 2, jpjm1
-            DO ji = 2, jpim1
-#  endif
-            ik = max( mbathy(ji,jj)-1, 1 )
-            tldfbbl(ji,jj) = ta(ji,jj,ik) - ztdta(ji,jj,ik)
-            sldfbbl(ji,jj) = sa(ji,jj,ik) - ztdsa(ji,jj,ik)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-            END DO
-#  endif
-         END DO
-
+      IF( l_trdtra ) THEN      ! save the BBL lateral diffusion trends for diagnostic
+         ztrdt(:,:,:) = ta(:,:,:) - ztrdt(:,:,:)
+         ztrds(:,:,:) = sa(:,:,:) - ztrds(:,:,:)
+         CALL trd_mod(ztrdt, ztrds, jptra_trd_bbl, 'TRA', kt)
       ENDIF
 
-      IF(ln_ctl) THEN
-         CALL prt_ctl(tab3d_1=ta, clinfo1=' bbl  - Ta: ', mask1=tmask, &
-            &         tab3d_2=sa, clinfo2=' Sa: ', mask2=tmask, clinfo3='tra')
-      ENDIF
-
+      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ta, clinfo1=' bbl  - Ta: ', mask1=tmask,   &
+         &                       tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      !
    END SUBROUTINE tra_bbl_dif
 
@@ -489,37 +457,20 @@
       !! ** Method  :   Read the nambbl namelist and check the parameters
       !!      called by tra_bbl at the first timestep (nit000)
-      !!
-      !! History :
-      !!    8.5  !  02-08  (G. Madec)  Original code
-      !!----------------------------------------------------------------------
-      !! * Local declarations
+      !!----------------------------------------------------------------------
       INTEGER ::   ji, jj      ! dummy loop indices
       REAL(wp),  DIMENSION(jpi,jpj) :: zmbk  
-
-      NAMELIST/nambbl/ atrbbl
-      !!----------------------------------------------------------------------
-
-      ! Read Namelist nambbl : bottom boundary layer scheme
-      ! --------------------
-      REWIND ( numnam )
+      !!----------------------------------------------------------------------
+
+      REWIND ( numnam )              ! Read Namelist nambbl : bottom boundary layer scheme
       READ   ( numnam, nambbl )
 
-
-      ! Parameter control and print
-      ! ---------------------------
-      IF(lwp) THEN
+      IF(lwp) THEN                   ! Parameter control and print
          WRITE(numout,*)
          WRITE(numout,*) 'tra_bbl_init : '
          WRITE(numout,*) '~~~~~~~~~~~~'
-         IF (lk_trabbl_dif ) THEN
-            WRITE(numout,*) '               * Diffusive Bottom Boundary Layer'
-         ENDIF 
-         IF( lk_trabbl_adv ) THEN
-            WRITE(numout,*) '               * Advective Bottom Boundary Layer'
-         ENDIF
-         WRITE(numout,*) '          Namelist nambbl : set bbl parameters'
-         WRITE(numout,*)
+         IF (lk_trabbl_dif )   WRITE(numout,*) '               * Diffusive Bottom Boundary Layer'
+         IF( lk_trabbl_adv )   WRITE(numout,*) '               * Advective Bottom Boundary Layer'
+         WRITE(numout,*) '       Namelist nambbl : set bbl parameters'
          WRITE(numout,*) '          bottom boundary layer coef.    atrbbl = ', atrbbl
-         WRITE(numout,*)
       ENDIF
  
@@ -545,8 +496,7 @@
 
 # if defined key_trabbl_adv
-      ! initialisation of w_bbl to zero
-      w_bbl(:,:,:) = 0.e0    
+      w_bbl(:,:,:) = 0.e0          ! initialisation of w_bbl to zero
 # endif
-
+      !
    END SUBROUTINE tra_bbl_init
 
@@ -558,10 +508,8 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_trabbl_adv = .FALSE.   !: adv  bbl flag
 CONTAINS
-   SUBROUTINE tra_bbl_dif (kt )              ! Empty routine
-      INTEGER, INTENT(in) :: kt
+   SUBROUTINE tra_bbl_dif( kt )              ! Empty routine
       WRITE(*,*) 'tra_bbl_dif: You should not have seen this print! error?', kt
    END SUBROUTINE tra_bbl_dif
-   SUBROUTINE tra_bbl_adv (kt )              ! Empty routine
-      INTEGER, INTENT(in) :: kt
+   SUBROUTINE tra_bbl_adv( kt )              ! Empty routine
       WRITE(*,*) 'tra_bbl_adv: You should not have seen this print! error?', kt
    END SUBROUTINE tra_bbl_adv
